C     INITIALIZATION ROUTINE FOR THE PC'S
C
      SUBROUTINE PXZ42(ICODE)
C
$INCLUDE:'pxz99.cmn'
C
      IF (ICODE) 200,200,10
C
10      IF (ICODE-2) 20,50,80
C
C  PRE-SCALE INITIALIZATION
   20 GO TO (200,200,200,200,200,200,200,
     1 200,22,23,24,25,26,27),IPLTR
C
C     TANDY 2000(640X400)
   21 XRASP=64.0
      YRASP=57.142857
      XRASX=640.
      YRASX=400.
      GO TO 29
C
C     CGA(320X200)
   22 XRASP=32.98969
      YRASP=30.76923
      XRASX=320.
      YRASX=200.
      GO TO 29
C
C     EGA(640X350)
   23 XRASP=65.97938
      YRASP=53.84615
      XRASX=640.
      YRASX=350.
      GO TO 29
C
C     VGA(640X480)
   24 XRASP=65.97938
      YRASP=73.84615
      XRASX=640.
      YRASX=480.
      GO TO 29
C
C     VGA256(320X200)
   25 XRASP=32.98969
      YRASP=30.76923
      XRASX=320.
      YRASX=200.
      GO TO 29
C     FUTURE EXPANSION
   26 WRITE(*,*) 'PLOTTER NOT IMPLEMENTED'
      STOP
   27 WRITE(*,*) 'PLOTTER NOT IMPLEMENTED'
      STOP
   29 NCCMX=256
      NCMAX=4
      NCMUL(4)=1
      K=3
      DO 30 I=2,4
      NCMUL(K)=NCMUL(K+1)*256
      K=K-1
   30 CONTINUE
      MASKA=127
      GO TO 200
C
C  POST SCALE CALL
   50 XRASX=XRASX+1.
      YRASX=YRASX+1.
      GO TO 200
C
C
80      IF (ICODE.GT.3) GO TO 120
C
C  ENDPT CALL
      IF (NXYRS.NE.0)  CALL PXZ07(0,0,-1)
      ICSTR(1)=0
      ICSTR(2)=0
      ICSTR(3)=0
      ICSTR(4)=0
      NCSTR=4
      CALL PXZ05
      GO TO 200
C
C  PLTST CALL
  120 GO TO (200,200,200,200,200,200,200,
     1 200,122,122,122,122,123,124),IPLTR
C
C     TANDY 2000
  121 XRASX=10.
      YRASX=7.0
      GO TO 200
C
C     STANDARD MONITOR
  122 XRASX=9.7
      YRASX=6.5
      GO TO 200
C
C     FUTURE EXPANSION
  123 WRITE(*,*) 'PLOTTER NOT IMPLEMENTED'
      STOP
  124 WRITE(*,*) 'PLOTTER NOT IMPLEMENTED'
      STOP
C
200      RETURN
C
      END

